% Renumber the finite element nodes and the geometric cells using the
% numbering supplied.  The numbering may be computed with
% renum_mesh_numbering().
% 
% function [fens, gcells]=renum_mesh_renumber(fens, gcells, numbering)
%  
% fens, gcells = arrays of finite element nodes and geometric cells
% numbering = compute with  renum_mesh_numbering()
% 
function [fens, gcells]=renum_mesh_renumber(fens, gcells, numbering)
   for C=1:length(gcells)
        conn=get(gcells(C),'conn');
        gcells(C)=set(gcells(C),'conn',numbering.ip(conn));
    end
    ofens=fens;
    for C=1:length(fens)
        fens(C)=set(ofens(numbering.p(C)),'id',C);
    end
end
